﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace CalculatingApp
{
    public partial class Form1 : Form
    {
        DataTable numbers;

        public Form1()
        {
            InitializeComponent();
            this.StartPosition = FormStartPosition.CenterScreen;
            this.Text = "Calculating";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.CalcManager = ultraCalcManager1;
            ultraGrid1.DataSource = GetNumbers(numbers);
        }

        private DataTable GetNumbers(DataTable table)
        {
            numbers = new DataTable("Numbers");
            DataRow row;
            numbers.Columns.Add("A", typeof(decimal));
            numbers.Columns.Add("B", typeof(decimal));
            numbers.Columns.Add("C", typeof(decimal));
            numbers.Columns.Add("D", typeof(decimal));

            row = numbers.NewRow();
            row["A"] = 218.28;
            row["B"] = 37.08;
            row["C"] = 180.2;
            row["D"] = 0;
            numbers.Rows.Add(row);
            return numbers;
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Override.RowSelectors = DefaultableBoolean.True;
            e.Layout.GroupByBox.Hidden = true;
            ultraGrid1.Font = new Font("Microsoft Sans Serif", 10.25F);
            e.Layout.Bands[0].Columns["D"].Formula = "[A] - [B] - [C]";
        }

    }
}
